/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dscviceni10a;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author lenka
 */
@Entity
@Table(name = "store")
@NamedQueries({
    @NamedQuery(name = "Store.findAll", query = "SELECT s FROM Store s"),
    @NamedQuery(name = "Store.findByStoreId", query = "SELECT s FROM Store s WHERE s.storeId = :storeId"),
    @NamedQuery(name = "Store.findByStoreType", query = "SELECT s FROM Store s WHERE s.storeType = :storeType"),
    @NamedQuery(name = "Store.findByRegionId", query = "SELECT s FROM Store s WHERE s.regionId = :regionId"),
    @NamedQuery(name = "Store.findByStoreName", query = "SELECT s FROM Store s WHERE s.storeName = :storeName"),
    @NamedQuery(name = "Store.findByStoreNumber", query = "SELECT s FROM Store s WHERE s.storeNumber = :storeNumber"),
    @NamedQuery(name = "Store.findByStoreStreetAddress", query = "SELECT s FROM Store s WHERE s.storeStreetAddress = :storeStreetAddress"),
    @NamedQuery(name = "Store.findByStoreCity", query = "SELECT s FROM Store s WHERE s.storeCity = :storeCity"),
    @NamedQuery(name = "Store.findByStoreState", query = "SELECT s FROM Store s WHERE s.storeState = :storeState"),
    @NamedQuery(name = "Store.findByStorePostalCode", query = "SELECT s FROM Store s WHERE s.storePostalCode = :storePostalCode"),
    @NamedQuery(name = "Store.findByStoreCountry", query = "SELECT s FROM Store s WHERE s.storeCountry = :storeCountry"),
    @NamedQuery(name = "Store.findByStoreManager", query = "SELECT s FROM Store s WHERE s.storeManager = :storeManager"),
    @NamedQuery(name = "Store.findByStorePhone", query = "SELECT s FROM Store s WHERE s.storePhone = :storePhone"),
    @NamedQuery(name = "Store.findByStoreFax", query = "SELECT s FROM Store s WHERE s.storeFax = :storeFax"),
    @NamedQuery(name = "Store.findByFirstOpenedDate", query = "SELECT s FROM Store s WHERE s.firstOpenedDate = :firstOpenedDate"),
    @NamedQuery(name = "Store.findByLastRemodelDate", query = "SELECT s FROM Store s WHERE s.lastRemodelDate = :lastRemodelDate"),
    @NamedQuery(name = "Store.findByStoreSqft", query = "SELECT s FROM Store s WHERE s.storeSqft = :storeSqft"),
    @NamedQuery(name = "Store.findByGrocerySqft", query = "SELECT s FROM Store s WHERE s.grocerySqft = :grocerySqft"),
    @NamedQuery(name = "Store.findByFrozenSqft", query = "SELECT s FROM Store s WHERE s.frozenSqft = :frozenSqft"),
    @NamedQuery(name = "Store.findByMeatSqft", query = "SELECT s FROM Store s WHERE s.meatSqft = :meatSqft"),
    @NamedQuery(name = "Store.findByCoffeeBar", query = "SELECT s FROM Store s WHERE s.coffeeBar = :coffeeBar"),
    @NamedQuery(name = "Store.findByVideoStore", query = "SELECT s FROM Store s WHERE s.videoStore = :videoStore"),
    @NamedQuery(name = "Store.findBySaladBar", query = "SELECT s FROM Store s WHERE s.saladBar = :saladBar"),
    @NamedQuery(name = "Store.findByPreparedFood", query = "SELECT s FROM Store s WHERE s.preparedFood = :preparedFood"),
    @NamedQuery(name = "Store.findByFlorist", query = "SELECT s FROM Store s WHERE s.florist = :florist"),
    // My queries
    @NamedQuery(name = "Store.countAll", query = "SELECT count(s) FROM Store s")
})
public class Store implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String countAll = "Store.countAll";
    @Id
    @Basic(optional = false)
    @Column(name = "store_id")
    private Integer storeId;
    @Column(name = "store_type")
    private String storeType;
    @Column(name = "region_id")
    private Integer regionId;
    @Column(name = "store_name")
    private String storeName;
    @Column(name = "store_number")
    private BigInteger storeNumber;
    @Column(name = "store_street_address")
    private String storeStreetAddress;
    @Column(name = "store_city")
    private String storeCity;
    @Column(name = "store_state")
    private String storeState;
    @Column(name = "store_postal_code")
    private String storePostalCode;
    @Column(name = "store_country")
    private String storeCountry;
    @Column(name = "store_manager")
    private String storeManager;
    @Column(name = "store_phone")
    private String storePhone;
    @Column(name = "store_fax")
    private String storeFax;
    @Column(name = "first_opened_date")
    @Temporal(TemporalType.TIMESTAMP)
    private Date firstOpenedDate;
    @Column(name = "last_remodel_date")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastRemodelDate;
    @Column(name = "store_sqft")
    private BigInteger storeSqft;
    @Column(name = "grocery_sqft")
    private BigInteger grocerySqft;
    @Column(name = "frozen_sqft")
    private BigInteger frozenSqft;
    @Column(name = "meat_sqft")
    private BigInteger meatSqft;
    @Column(name = "coffee_bar")
    private Boolean coffeeBar;
    @Column(name = "video_store")
    private Boolean videoStore;
    @Column(name = "salad_bar")
    private Boolean saladBar;
    @Column(name = "prepared_food")
    private Boolean preparedFood;
    @Column(name = "florist")
    private Boolean florist;
    //@OneToMany(cascade = CascadeType.ALL, mappedBy = "store")
    //private Collection<Employee> employeeCollection;

    public Store() {
    }

    public Store(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreType() {
        return storeType;
    }

    public void setStoreType(String storeType) {
        this.storeType = storeType;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public BigInteger getStoreNumber() {
        return storeNumber;
    }

    public void setStoreNumber(BigInteger storeNumber) {
        this.storeNumber = storeNumber;
    }

    public String getStoreStreetAddress() {
        return storeStreetAddress;
    }

    public void setStoreStreetAddress(String storeStreetAddress) {
        this.storeStreetAddress = storeStreetAddress;
    }

    public String getStoreCity() {
        return storeCity;
    }

    public void setStoreCity(String storeCity) {
        this.storeCity = storeCity;
    }

    public String getStoreState() {
        return storeState;
    }

    public void setStoreState(String storeState) {
        this.storeState = storeState;
    }

    public String getStorePostalCode() {
        return storePostalCode;
    }

    public void setStorePostalCode(String storePostalCode) {
        this.storePostalCode = storePostalCode;
    }

    public String getStoreCountry() {
        return storeCountry;
    }

    public void setStoreCountry(String storeCountry) {
        this.storeCountry = storeCountry;
    }

    public String getStoreManager() {
        return storeManager;
    }

    public void setStoreManager(String storeManager) {
        this.storeManager = storeManager;
    }

    public String getStorePhone() {
        return storePhone;
    }

    public void setStorePhone(String storePhone) {
        this.storePhone = storePhone;
    }

    public String getStoreFax() {
        return storeFax;
    }

    public void setStoreFax(String storeFax) {
        this.storeFax = storeFax;
    }

    public Date getFirstOpenedDate() {
        return firstOpenedDate;
    }

    public void setFirstOpenedDate(Date firstOpenedDate) {
        this.firstOpenedDate = firstOpenedDate;
    }

    public Date getLastRemodelDate() {
        return lastRemodelDate;
    }

    public void setLastRemodelDate(Date lastRemodelDate) {
        this.lastRemodelDate = lastRemodelDate;
    }

    public BigInteger getStoreSqft() {
        return storeSqft;
    }

    public void setStoreSqft(BigInteger storeSqft) {
        this.storeSqft = storeSqft;
    }

    public BigInteger getGrocerySqft() {
        return grocerySqft;
    }

    public void setGrocerySqft(BigInteger grocerySqft) {
        this.grocerySqft = grocerySqft;
    }

    public BigInteger getFrozenSqft() {
        return frozenSqft;
    }

    public void setFrozenSqft(BigInteger frozenSqft) {
        this.frozenSqft = frozenSqft;
    }

    public BigInteger getMeatSqft() {
        return meatSqft;
    }

    public void setMeatSqft(BigInteger meatSqft) {
        this.meatSqft = meatSqft;
    }

    public Boolean getCoffeeBar() {
        return coffeeBar;
    }

    public void setCoffeeBar(Boolean coffeeBar) {
        this.coffeeBar = coffeeBar;
    }

    public Boolean getVideoStore() {
        return videoStore;
    }

    public void setVideoStore(Boolean videoStore) {
        this.videoStore = videoStore;
    }

    public Boolean getSaladBar() {
        return saladBar;
    }

    public void setSaladBar(Boolean saladBar) {
        this.saladBar = saladBar;
    }

    public Boolean getPreparedFood() {
        return preparedFood;
    }

    public void setPreparedFood(Boolean preparedFood) {
        this.preparedFood = preparedFood;
    }

    public Boolean getFlorist() {
        return florist;
    }

    public void setFlorist(Boolean florist) {
        this.florist = florist;
    }    

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (storeId != null ? storeId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Store)) {
            return false;
        }
        Store other = (Store) object;
        if ((this.storeId == null && other.storeId != null) || (this.storeId != null && !this.storeId.equals(other.storeId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Store[storeId=" + getStoreId() + " storeName=" + getStoreName() + " ]";
    }

}
